Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.xl.impl.dom
Class RGG

    java.lang.Object
      de.grogra.xl.impl.dom.RGG

    public abstract class RGG

extends java.lang.Object

Field Summary
`static int` | `attr`
`static int` | `child`
`protected org.w3c.dom.Document` | `document`
`protected Graph` | `graph`
`static int` | `sibling`

Constructor Summary
`RGG()`

Method Summary
`void` | `derive()`
`static boolean` | `E(org.w3c.dom.Element e, java.lang.String name)`
`org.w3c.dom.Element` | `E(java.lang.String name)`
`void` | `execute(java.lang.String[] args)`
`protected void` | `finish()`
`protected void` | `init()`
`void` | `readDocument(java.io.InputStream in)`
`protected void` | `run()`
`void` | `setDocument(org.w3c.dom.Document doc)`
`void` | `writeDocument(java.io.OutputStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### attr

    public static final int attr

See Also:
  Constant Field Values

### child

    public static final int child

See Also:
  Constant Field Values

### document

    protected org.w3c.dom.Document document

### graph

    protected Graph graph

### sibling

    public static final int sibling

See Also:
  Constant Field Values

Constructor Detail

### RGG

    public RGG()

Method Detail

### derive

    public void derive()

### E

    public static boolean E(org.w3c.dom.Element e,
                            java.lang.String name)

### E

    public org.w3c.dom.Element E(java.lang.String name)

### execute

    public void execute(java.lang.String[] args)
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### finish

    protected void finish()

### init

    protected void init()

### readDocument

    public void readDocument(java.io.InputStream in)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### run

    protected void run()

### setDocument

    public void setDocument(org.w3c.dom.Document doc)

### writeDocument

    public void writeDocument(java.io.OutputStream out)
                       throws java.io.IOException,
                              javax.xml.transform.TransformerException

  Throws:
    `java.io.IOException`
    `javax.xml.transform.TransformerException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD